%define fname Mail-SpamAssassin

Summary:	A spam filter for email which can be invoked from mail delivery agents
Name:		spamassassin
Version:	3.0.4
Release:	3.3.20060mdk
License:	Apache License
Group:		Networking/Mail
URL:		http://spamassassin.org/
Source0:	http://www.eu.apache.org/dist/spamassassin/source/%{fname}-%{version}.tar.bz2
Source1:	http://www.eu.apache.org/dist/spamassassin/source/%{fname}-%{version}.tar.bz2.asc
Source2:	spamd.init.bz2
Source3:	spamd.sysconfig.bz2
Source4:	spamassassin-default.rc
Source5:	spamassassin-spamc.rc
# (fc) 2.60-5mdk don't use version dependent perl call in #!
Patch1:		spamassassin-3.0.0-fixbang.patch.bz2
# (oe) experimental prefork stuff as in apache
Patch2:		spamassassin-prefork.patch.bz2
# (oe) http://bugzilla.spamassassin.org/show_bug.cgi?id=4040
Patch3:		Mail-SpamAssassin-3.0.4-longer_lines_for_non-english_locales.diff.bz2
# (fc) 3.0.4-3mdk fix UTF8 warning (Mdk bug #17456)
Patch4:		spamassassin-3.0.4-utf8warning.patch.bz2
Patch5:		spamassassin-3.0.4-CVE-2005-3351.patch.bz2
Patch6:		sa.bug4926-vpopmail-hole.3.0.x.patch
Requires(post,preun): rpm-helper
BuildRequires:	perl-devel
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-HTML-Parser
BuildRequires:  perl-Digest-SHA1
BuildRequires:	openssl-devel
BuildRequires:	perl-DB_File
Requires:	perl-Mail-SpamAssassin = %{version}
Requires:  	perl-DB_File
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
SpamAssassin provides you with a way to reduce if not completely eliminate
Unsolicited Commercial Email (SPAM) from your incoming email.  It can
be invoked by a MDA such as sendmail or postfix, or can be called from
a procmail script, .forward file, etc.  It uses a genetic-algorithm
evolved scoring system to identify messages which look spammy, then
adds headers to the message so they can be filtered by the user's mail
reading software.  This distribution includes the spamd/spamc components
which create a server that considerably speeds processing of mail.

SpamAssassin also includes support for reporting spam messages
automatically, and/or manually, to collaborative filtering databases such
as Vipul's Razor, DCC or pyzor. 
Install perl-Razor-Agent package to get Vipul's Razor support. 
Install dcc package to get Distributed Checksum Clearinghouse (DCC) support.
Install pyzor package to get Pyzor support.
Install perl-Mail-SPF-Query package to get SPF support.

To enable spamassassin, if you are receiving mail locally, simply add
this line to your ~/.procmailrc:
INCLUDERC=/etc/mail/spamassassin/spamassassin-default.rc
 
To filter spam for all users, add that line to /etc/procmailrc
(creating if necessary).


%package	tools
Summary:        Miscleanous tools for SpamAssassin
Group:		Networking/Mail
Requires:	perl-Mail-SpamAssassin = %{version}

%description	tools
Miscleanous tools from various authors, distributed with SpamAssassin.
See /usr/share/doc/spamassassin-tools-*/.

%package	spamd
Summary:	Daemonized version of SpamAssassin
Group:		System/Servers
Requires(post,preun): rpm-helper
Requires:	spamassassin = %{version}

%description	spamd
The purpose of this program is to provide a daemonized version of the
spamassassin executable. The goal is improving throughput performance
for automated mail checking.

This is intended to be used alongside "spamc", a fast, low-overhead C
client program.

%package	spamc
Summary:	A client for spamd
Group:		Networking/Mail

%description	spamc
Spamc is the client half of the spamc/spamd pair. It should be used in
place of "spamassassin" in scripts to process mail. It will read the
mail from STDIN, and spool it to its connection to spamd, then read
the result back and print it to STDOUT. Spamc has extremely low
overhead in loading, so it should be much faster to load than the
whole spamassassin program.

%package -n	perl-%{fname}
Summary:        Mail::SpamAssassin -- SpamAssassin e-mail filter Perl modules
Group:		Development/Perl

%description -n perl-%{fname}
Mail::SpamAssassin is a module to identify spam using text analysis and
several internet-based realtime blacklists. Using its rule base, it uses a
wide range of heuristic tests on mail headers and body text to identify
``spam'', also known as unsolicited commercial email. Once identified, the
mail can then be optionally tagged as spam for later filtering using the
user's own mail user-agent application.

%prep

%setup -q -n %{fname}-%{version}
%patch1 -p1 -b .fixbang
%patch2 -p0
%patch3 -p0
%patch4 -p1 -b .utf8warning
%patch5 -p1 -b .cve-2005-3351
%patch6 -p0 -b .cve-2006-2447

bzcat %{SOURCE2} > spamd.init
bzcat %{SOURCE3} > spamd.sysconfig

%build

%{__perl} \
    Makefile.PL \
    INSTALLDIRS=vendor \
    SYSCONFDIR=%{_sysconfdir} \
    DATADIR=%{_datadir}/spamassassin \
    ENABLE_SSL=yes \
    RUN_NET_TESTS=no < /dev/null

%make OPTIMIZE="%{optflags}" 

make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

install -d %{buildroot}%{_sysconfdir}/mail/%{name}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}/var/spool/spamassassin

cat << EOF >> %{buildroot}%{_sysconfdir}/mail/%{name}/local.cf
required_hits 5
rewrite_header Subject [SPAM]
report_safe 0
auto_whitelist_path        /var/spool/spamassassin/auto-whitelist
auto_whitelist_file_mode   0666
dcc_home		   /var/lib/dcc
EOF

install -m0755 spamd.init %{buildroot}%{_initrddir}/spamd
install -m0644 spamd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/spamd

install -m 0644 %{SOURCE4} %buildroot/etc/mail/spamassassin
install -m 0644 %{SOURCE5} %buildroot/etc/mail/spamassassin

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
[ -f %{_sysconfdir}/spamassassin.cf ] && %{__mv} %{_sysconfdir}/spamassassin.cf %{_sysconfdir}/mail/spamassassin/migrated.cf || true
[ -f %{_sysconfdir}/mail/spamassassin.cf ] && /bin/mv %{_sysconfdir}/mail/spamassassin.cf %{_sysconfdir}/mail/spamassassin/migrated.cf || true
touch /var/spool/spamassassin/auto-whitelist.db
chmod 666 /var/spool/spamassassin/auto-whitelist.db

%post spamd
# -a and --auto-whitelist options were removed from 3.0.0
# prevent service startup failure
perl -p -i -e 's/(["\s]-\w+)a/$1/ ; s/(["\s]-)a(\w+)/$1$2/ ; s/(["\s])-a\b/$1/' /etc/sysconfig/spamd
perl -p -i -e 's/ --auto-whitelist//' /etc/sysconfig/spamd
%_post_service spamd

%preun spamd
%_preun_service spamd

%files
%defattr(-,root,root)
%doc README Changes sample-*.txt procmailrc.example INSTALL TRADEMARK USAGE 
%dir %{_sysconfdir}/mail/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/mail/%{name}/*.cf
%config(noreplace) %{_sysconfdir}/mail/%{name}/*.pre
%config(noreplace) %{_sysconfdir}/mail/%{name}/spamassassin-default.rc
%dir %attr(0777,root,root) /var/spool/spamassassin
%attr(0755,root,root) %{_bindir}/sa-learn
%attr(0755,root,root) %{_bindir}/spamassassin
%{_mandir}/man1/sa-learn.1*
%{_mandir}/man1/spamassassin.1*
%{_datadir}/spamassassin

%files tools
%defattr(-,root,root)
%doc sql tools masses contrib 

%files spamd
%defattr(-,root,root)
%doc spamd/README* spamd/PROTOCOL
%attr(0755,root,root) %{_initrddir}/spamd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/spamd
%attr(0755,root,root) %{_bindir}/spamd
%{_mandir}/man1/spamd.1*

%files spamc
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/mail/%{name}/spamassassin-spamc.rc
%attr(0755,root,root) %{_bindir}/spamc
%{_mandir}/man1/spamc.1*

%files -n perl-%{fname}
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/Mail
%{perl_vendorlib}/Mail/SpamAssassin*
%{_mandir}/man3*/*

%changelog
* Tue Jun 13 2006 Vincent Danen <vdanen@mandriva.com> 3.0.4-3.3.20060mdk
- P6: security update for CVE-2006-2447

* Wed Nov 30 2005 Stew Benedict <sbenedict@mandriva.com> 3.0.4-3.2.20060mdk
- buildrequires perl-DB_File

* Tue Nov 29 2005 Stew Benedict <sbenedict@mandriva.com> 3.0.4-3.1.20060mdk
- security update for CVE-2005-3351 (P5)

* Thu Sep 01 2005 Frederic Crozat <fcrozat@mandriva.com> 3.0.4-3mdk
- Patch4 (CVS): fix utf8 warning (Mdk bug #17456)

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.4-2mdk
- added P3 to allow longer lines for non-english locales, 
  reported by Vincent Panel 

* Tue Jun 07 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4
- new download url
- sync with the provided init script
- use the %%mkrel macro

* Sat Apr 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.3-1mdk
- 3.0.3
- spec file cleansing
- run the test suite

* Mon Jan 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.2-2mdk
- added P1 (prefork stuff as in apache)

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.2-1mdk
- 3.0.2

* Sun Nov 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.0.1-2mdk 
- add optional perl-Mail-SPF-Query in description

* Tue Oct 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.1-1mdk
- 3.0.1

* Thu Sep 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.0-1mdk
- 3.0.0

* Wed Sep 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.0-0.rc5.1mdk
- 3.0.0-rc5

* Sat Sep 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.0-0.rc4.1mdk
- 3.0.0-rc4
- fix the default local.cf file

* Mon Sep 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.0-0.rc3.1mdk
- 3.0.0-rc3

* Tue Aug 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.0-0.rc2.1mdk
- 3.0.0-rc2

* Fri Aug 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.0.0-0.rc1.1mdk
- 

* Fri Aug 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.0.0-0.pre4.3mdk
- Release 3.0.0 pre4 

* Mon Aug 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.0.0-0.pre3.3mdk
- Fix buildrequires (found by Christiaan Welvaart)

* Fri Jul 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.0.0-0.pre3.2mdk
- Fix default permission on local.cf file (found by AAW)

* Mon Jul 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.0.0-0.pre3.1mdk
- Release 3.0.0 pre3 
- Regenerate patch 1
- Remove patch2 (merged upstream)
- add install script fix from Fedora 
- add procmail sample rules for spamassassin & spamc (Fedora)
- Update source2 to remove deprecated flags
- Build spamc with SSL by default

* Sat Jun 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.63-5mdk
- Patch2 (Habeas) : switch from Habeas header + blacklist to
  Habeas header + whitelist, spammers can no longer use the Habeas
  header to bypass SA

* Wed May 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.63-4mdk
- fix default location of DCC socket

* Mon Apr 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.63-3mdk
- broke out spamd and spamc as PLD does it (thanks PLD!)
- added S1 and S2 (removed the initscript patch)
- provide the ssl aware spamc client (%%{_bindir}/spamc-ssl)

* Tue Jan 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.63-2mdk
- Regenereate patch0 (only 1 part was needed)

* Thu Jan 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.63-1mdk
- Release 2.63

* Mon Jan 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.62-1mdk
- Release 2.62
- Fix build on 8.2 (milter@free.fr)

* Tue Dec 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.61-1mdk
- 2.61

* Tue Dec 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.60-6mdk
- Fix build for Mdk 9.1 (Derek Simkowiak)

* Mon Nov 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.60-5mdk
- Patch1: don't use version dependent perl in #!

* Mon Nov 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.60-4mdk
- rebuilt for perl-5.8.2

* Mon Nov 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.60-3mdk
- Requires perl-DB-file to get working baysian filters
- Fix build for old distro (Nicolas Chipaux)

* Sun Oct 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.60-2mdk
- make it build and install (!)

* Wed Sep 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.60-1mdk
- 2.60
- reorder patches
- fix P0
- drop the osirus patch, it's included
- use macros
- misc spec file fixes

* Mon Sep 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.55-2mdk
- Patch5: drop Osirus support (their service is discontinued)

* Mon Jun  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.55-1mdk
- Release 2.55

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.54-1mdk
- Release 2.54

* Fri Apr  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.53-1mdk
- Release 2.53
- spamd is now enabled by default

* Wed Apr  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.52-1mdk
- Release 2.52

* Thu Feb  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.44-1mdk
- Release 2.44
- Remove patch0 (merged upstream)

* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.43-4mdk
- Patch0: fix buffer overflow in spamd (Timo Sirainen)

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.43-3mdk
- from  Chris Weber <chris@solution.de> :
  - build cleanly on mdk82, defines for perl_sitelib, perl_man1dir and
    perl_man3dir should be realy in rpm's macrodefs.
* Wed Oct 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.43-2mdk
- ISTEAM powered =  add support for Mdk 8.0

* Tue Oct 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.43-1mdk
- Back to stable release : 2.43
- now requires perl-HTML-Parser

* Wed Oct 02 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.50-0.1mdk
- 2.50 (devel release)
- Readd my changelog for 2.30-2mdk (fcrozat ??!!)
- remove Patch0,1,2: obsoletes
- Add flags for 8.2 release
- remove conflict with itself
- Add reload entry in initscript

* Wed Sep 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.41-2mdk
- Patch0 (CVS): fix escaped dollar sign in INVALID_MSGID
- Patch1 (CVS): -r was not warning if no reporting systems were installed (bug 899)
- Patch2 (CVS): rounding errors where hits=5.000 (bug 893)

* Mon Sep 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.41-1mdk
- Release 2.41 
- WARNING : command line syntax has changed, check your procmail rules
- Merge with spamassassin official specfile (split in 3 packages)
- Remove patches 0 (no longer needed), 2 & 3 (merged upstream)
- Patch4: fix name of lock file + fix razor2 support for spamd

* Sun Aug 04 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.31-2mdk
- add BuildRequires db2-devel

* Wed Jul 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.31-1mdk
- Release 2.31
- Remove patch2 (merged upstream)
- Fix BuildRequires (Stephane Lentz)

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 2.30-4mdk
- rebuild for perl 5.8.0

* Thu Jun 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.30-3mdk
- Fix dependencies

* Tue Jun 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.30-2mdk
- Patch2 (CVS): fix --help command
- Patch3 (CVS): add support for Razor v2

* Tue Jun 18 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.30-1mdk
- New spamassassin. Seems to be ok, but it cannot pass its own sample-nospam
  test mail 8).

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.20-4mdk
- No longer Require/BuildRequires razor (but users should really install it..)

* Mon May  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.20-3mdk
- BuildConflicts with older version of spamassasin (Thanks to Charles)

* Fri May  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.20-2mdk
- Fix patch1 to really put subsys lock file

* Tue Apr 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.20-1mdk
- Release 2.20
- Remove patch1 (merged upstream)
- Patch1: add missing lock in initscript

* Tue Apr  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.11-4mdk
- Create whitelist database with writable permission in %post
- Fix whitelist database path
- Oops, fix seach of perl modules

* Tue Apr  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.11-3mdk
- Add support for Vipul's Razor
- Patch1: fix to work with Razor 1.20
- Add SQL, spamproxy and qmail documentation

* Tue Apr  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.11-2mdk
- Fix %post script

* Mon Apr 08 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.11-1mdk
- initial package

